Subject: Re: [VRRP] indexing order in vrrpAssociatedIpAddrTable in draft-ietf-vrrp-unified-mib-06.txt

From: <[email-masked]>
Date: Mon, 18 Aug 2008 02:59:58 +0300

Hi Prakash,
    The order was as you suggested in the initial drafts. This was
discussed in one of the ietf meetings and  I think 
Wijnen, Bert suggested and every one agreed to change the order to what
it is right now. 
The rational (as I remember it) for vrrpOperationsInetAddrType to be
first is that operators would like to walk on IPv4 or IPv6 virtual
routers with out actually  knowing vrids or ifindexes.
 
I do not remember the exact reason of the other part of the order. Am
CCing the WG to see if Mukesh or anyone else 
remembers the discussion.

Thanks, 
Kalyan 

________________________________

From: ext Banthia, Prakash (Prakash)
[mailto:[email-masked]] 
Sent: Thursday, August 14, 2008 3:43 PM
To: Tata Kalyan (Nokia-S&S/MtView)
Cc: Chung Kam Chung, Georges (Georges); Abdouni, Bassem (Bassem);
Bailey, Reva Sue (Reva)
Subject: indexing order in vrrpAssociatedIpAddrTable in
draft-ietf-vrrp-unified-mib-06.txt

Kalyan,
Let me introduce myself. I am part of the team which is implementing
draft-ietf-vrrp-unified-mib-06.txt here at Alcatel-Lucent.
And I have a question on the indexing order in
vrrpAssociatedIpAddrTable.
 
>From original VRRP-MIB, here is the indexing order:
vrrpAssoIpAddrEntry OBJECT-TYPE
    INDEX    { ifIndex, vrrpOperVrId, vrrpAssoIpAddr }
 
>From the new draft which support IPv6, here is the indexing order:
vrrpAssociatedIpAddrEntry OBJECT-TYPE
    INDEX    { vrrpOperationsInetAddrType, vrrpOperationsVrId,
               ifIndex, vrrpAssociatedIpAddr }
 
I would like to have vrrpOperationsInetAddrType and vrrpAssociatedIpAddr
objects together which is typically how ipv6 support is generally
implemented. Our utility routines always assume these to be together.
 
So I would prefer the following INDEX for vrrpAssociatedIpAddrTable:
    INDEX    {  vrrpOperationsVrId, ifIndex, vrrpOperationsInetAddrType,
vrrpAssociatedIpAddr }
 
Let me know your thoughts on this.
Thanks.
--prakash
_______________________________________________
vrrp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/vrrp